# MatPreallocateSet

Indicates the locations (rows and columns) in the matrix where nonzeros will be inserted using a local number of the rows and columns

### Synopsis

    PetscErrorCode MatPreallocateSet(PetscInt nrows, PetscInt *rows,PetscInt ncols, PetscInt *cols,PetscInt *dnz, PetscInt *onz)

Not Collective

### Input Parameters

| row | - the row
| ncols | - the number of columns in the matrix
| cols | - the columns indicated

### Output Parameters

| dnz | - the array that will be passed to the matrix preallocation routines
| ozn | - the other array passed to the matrix preallocation routines

### Notes

See the chapter in the users manual on performance for more details

Do not malloc or free dnz and onz that is handled internally by these routines

### See Also

MatPreallocateFinalize(), MatPreallocateSet(), MatPreallocateSymmetricSet(), MatPreallocateInitialize(),
MatPreallocateInitialize(), MatPreallocateSymmetricSetLocal(), MatPreallocateSetLocal()

Level:intermediate
Location: src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages